Card Shipments

Add card to draft

POSThttps://api.firstleeward.com/v0/card-shipments/:id/cards

Append a card to a shipment in DRAFT status. Rejects if the card is already in another active shipment, or if the shipment is already at the 200-card limit.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Body

application/json

cardIdstring<uuid>required

ID of the card to ship

cardDesignIdstringrequired

Card design identifier

shippingAddressobjectrequired

Per-card final destination address

Show child attributes
line1stringrequired

Street address line 1

line2string | null

Street address line 2

zonestring | null

State, province, or zone

citystringrequired

City

postalCodestringrequired

Postal code

countrystringrequired

ISO 3166-1 alpha-2 country code

Response

200Card shipment resource
idstring<uuid>required

Unique shipment identifier

statusstringrequired

Shipment lifecycle status

Available options:DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELED
destinationAddressobjectrequired

Shipping address

Show child attributes
line1stringrequired

Street address line 1

line2string | nullrequired

Street address line 2

zonestring | nullrequired

State, province, or zone

citystringrequired

City

postalCodestringrequired

Postal code

countrystringrequired

ISO 3166-1 alpha-2 country code

recipientobjectrequired

Recipient details

Show child attributes
firstNamestringrequired

Recipient first name

lastNamestringrequired

Recipient last name

phoneNumberstringrequired

Recipient phone number

dialCodeintegerrequired

Phone dial code

emailstring<email>required

Recipient email address

courierobjectrequired

Courier on the shipment

Show child attributes
Option 1 · Postal
typestringrequired
Option 2 · Courier
typestringrequired
namestringrequired

Courier name. May be manufacturer-assigned after submit.

Available options:DHLFEDEXSFEXPRESS
trackingNumberstring | nullrequired

Courier tracking number

trackingUrlstring | nullrequired

Courier tracking URL

cutoffDatestring | nullrequired

ISO 8601 cutoff date returned by the manufacturer

createdAtstringrequired

ISO 8601 creation timestamp

updatedAtstringrequired

ISO 8601 last update timestamp

submittedAtstring | nullrequired

ISO 8601 timestamp when submitted to the manufacturer

deliveredAtstring | nullrequired

ISO 8601 timestamp when all cards were delivered

400Response for status 400
Option 1 · CardNotPhysicalError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · CardNotShippableError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 3 · ShippingNotAllowedForCountryError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 4 · ZoneRequiredError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 5 · InvalidZoneError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 6 · ShippingEmailInvalidError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 7 · CourierNotSupportedError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 8 · DuplicateCardInShipmentError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 9 · SingleCardShipmentAddressMismatchError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 10 · CardShipmentEmptyError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 11 · CardShipmentCardLimitExceededError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 12 · CardShipmentCardDesignNotActiveError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 13 · CardShipmentCardDesignNotPhysicalCapableError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 14 · CardDesignOutOfStockError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
404Response for status 404
Option 1 · CardShipmentCardNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · CardShipmentCardDesignNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 3 · CardShipmentNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
409Response for status 409
Option 1 · ActiveCardShipmentExistsError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · CardShipmentNotDraftError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired